Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Inference Docs
cURL
curl --request GET \ --url https://api.tensormesh.ai/auth/profile \ --header 'Authorization: Bearer <token>'
import requestsurl = "https://api.tensormesh.ai/auth/profile"headers = {"Authorization": "Bearer <token>"}response = requests.get(url, headers=headers)print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};fetch('https://api.tensormesh.ai/auth/profile', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "user": { "id": "<string>", "firstName": "<string>", "lastName": "<string>", "displayName": "<string>", "userEmail": "<string>", "authProvider": "AUTH_PROVIDER_UNSPECIFIED", "authProviderId": "<string>", "avatarUrl": "<string>", "stripeCusId": "<string>", "userRole": "USER_ROLE_UNSPECIFIED", "apiKey": "<string>", "company": "<string>", "tosAcceptedAt": "2023-11-07T05:31:56Z", "surveyCompletedAt": "2023-11-07T05:31:56Z" } }
{ "code": 123, "message": "<string>", "details": [ { "@type": "<string>" } ]}
Returns the authenticated user profile for the current bearer token.
Bearer authentication using an access token. Format: Bearer <access_token>
A successful response.
GetUserProfileResponse is the response for retrieving a user profile.
User represents a user profile in the system.
Show child attributes
Was this page helpful?